Name:		libhid
Version:	0.2.17
Release:    1%{?dist}
Summary:	User space USB HID access library
License:	GPLv2
URL:		http://libhid.alioth.debian.org
Source0:	%{name}-%{version}.tar.gz

Patch0:		libhid-0.2.17-fix_manpage.patch
Patch1:		libhid-0.2.17-fix_compiler_flags.patch
Patch2:		libhid-0.2.17-buildfix.patch
Patch3:		libhid-0.2.17-fix_python.patch
BuildRequires:	libusb-compat-0.1-devel, libtool, pkgconfig, docbook2X, docbook-style-xsl
BuildRequires:	make

%description
libhid provides a generic and flexible way to access and interact with USB
HID devices, much like libusb does for plain USB devices. It is based on
libusb, thus it requires no HID support in the kernel and provides means to
take control over a device even if the kernel governs it.


%package devel
Summary: Development files for libhid
Requires: %{name} = %{version}-%{release}
Requires: libusb-compat-0.1-devel

%description devel
This package provides the development files for libhid.
You need this if you want to develop an application with libhid


%prep
%setup -q
%patch0 -p1 -b .fix_manpage
%patch3 -p1 -b .fix_python
sed -i 's|AC_PROG_SWIG(1.3)|AC_PROG_SWIG(3.0)|' configure.ac
autoreconf -i
%patch1 -p1 -b .fix_compiler_flags
%patch2 -p1


%build
%configure --disable-static --disable-werror --without-doxygen --disable-swig
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make %{?_smp_mflags} LDFLAGS="$LDFLAGS -lusb"


%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license README.licence
%{_libdir}/*.so.*
%{_bindir}/libhid-detach-device
%{_mandir}/man1/*

%files devel
%doc AUTHORS README ChangeLog
%{_libdir}/pkgconfig/libhid.pc
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Wed Jul 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.17-1
- initial build
